import { createService } from '@/utils/createRequest'
const request = createService(process.env.VUE_APP_9520_API)

/**
 * 邮件模版查询列表
 * @param {*} data
 * @returns
 */
export function _queryTemplatePage(data) {
  return request({
    url: '/TrackingMail/QueryTemplatePage',
    method: 'post',
    data
  })
}

/**
 * 新增或编辑
 * @param {*} data
 * @returns
 */
export function _saveTemplate(data) {
  return request({
    url: '/TrackingMail/SaveTemplate',
    method: 'post',
    data
  })
}

/**
 * 更新模版启动与停用状态
 * @param {*} Id Id模版Id
 * @param {*} State State是状态 启用true，停用false
 * @returns
 */
export function _templateEnableStateUpdate(Id, State) {
  return request({
    url: '/TrackingMail/TemplateEnableStateUpdate',
    method: 'get',
    params: { Id, State }
  })
}

/**
 * 发送记录查询
 * @param {*} data
 * @returns
 */
export function _queryMailRecordPage(data) {
  return request({
    url: '/TrackingMail/QueryMailRecordPage',
    method: 'post',
    data
  })
}

/**
 * 获取所有模版信息
 * @returns
 */
export function _getAllMailTemplates() {
  return request({
    url: '/TrackingMail/GetAllMailTemplates',
    method: 'get'
  })
}

/**
 * 保存发送记录
 * @param {*} data
 * @returns
 */
export function _saveMailRecord(data) {
  return request({
    url: '/TrackingMail/SaveMailRecord',
    method: 'post',
    data
  })
}

/**
 * 重试(列表中仅ExecuteState为失败的，且ExecutionTimes>3 才显示重试按钮)
 * @param {*} Id
 * @returns
 */
export function _retrySend(data) {
  return request({
    url: '/TrackingMail/RetrySend',
    method: 'post',
    timeout:60000,//毫秒
    data
  })
}
